﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Company.UserControls {
    /// <summary>
    /// Interaction logic for Navigatorbar.xaml
    /// </summary>
    public partial class Navigatorbar : UserControl {


        private INavigatorbar windowParent;
        private int nr;

        public Navigatorbar() {
            InitializeComponent();
        }

        public void setDatabaseParent(INavigatorbar windowParent, int nr) {
            this.windowParent = windowParent;
            this.nr = nr;
        }
        
        private void bnPlus_Click(object sender, RoutedEventArgs e) {
            windowParent.setInsert(nr);
        }
        private void bnDelete_Click(object sender, RoutedEventArgs e) {
            windowParent.setDelete(nr);
        }

        private void tFilter_TextChanged(object sender, TextChangedEventArgs e) {
            windowParent.setFilter(nr, tFilter.Text.Trim());
        }

        public void setCount(int selectcount, int count) {
            tRowCount.Text = selectcount.ToString()+" / "+count;
        }


    }
}
