﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Company.Models;
using Company.DBS_Klassen;

namespace Company.ViewModels {
    public class ObservableCollection_Dept {

        private List<ModelDept> items = new List<ModelDept>();
        private List<ModelDept> deleteItems = new List<ModelDept>();

        public int getDeleteItemsCount() {
            return deleteItems.Count;
        }


        public List<ModelDept> Items {
            get { return items; }
        }


        public void Delete(ModelDept dept) {
            items.Remove(dept);
            deleteItems.Add(dept);
        }

        public void save2Database() {
            Dbs dbs = Dbs.getInstance();
            foreach (ModelDept dept in deleteItems) {
                Dbs_QueriesExecute.deleteModelDept(dept);
            }
            foreach (ModelDept dept in items) {
                // neue Niederl. können auch modifiziert sein.
                if (dept.newAttrib) {
                    dept.Pindex = Dbs.getSequenz("seq");
                    Dbs_QueriesExecute.insertModelDept(dept);
                }
                else {
                    if (dept.modifyAttrib) {
                        Dbs_QueriesExecute.updateModelDept(dept);
                    }
                }
            }
        }

    }
}
