﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using Company.Models;


namespace Company.ViewsDialog {
    /// <summary>
    /// Interaction logic for WInputDept.xaml
    /// </summary>
    public partial class WInputDept : Window {

        private bool newDept;

        private ModelDept dept = null;
        private bool retcode = false;
        public bool Retcode {
            get { return retcode; }
        }


        public WInputDept(Window owner, bool newDept, ref ModelDept dept) {
            InitializeComponent();
            this.Owner = owner;
            this.WindowStartupLocation = 
                WindowStartupLocation.CenterOwner;
            this.dept = dept;
            this.newDept = newDept;
        }  

        private void Window_Loaded(object sender, RoutedEventArgs e) {
            if (newDept) {
                lbdept.Content = "Einfügen einer neuen Niederlassung";
            }
            else {
                lbdept.Content = "Ändern der Daten einer Niederlassung";
            }
            tCity.Text = dept.City;
            tCountry.Text = dept.Country;
            tCity.Focus();
        }// win loaded

        private void bnOk_Click(object sender,
                      RoutedEventArgs e) {
            if (tCity.Text.Trim().Length == 0) {
                Basis.ErrorMsg("Geben Sie bitte eine Stadt ein", "Hinweis");
                tCity.Focus();
                return;
            }
            if (tCountry.Text.Trim().Length == 0) {
                Basis.ErrorMsg("Geben Sie bitte eine Stadt ein", "Hinweis");
                tCountry.Focus();
                return;
            }
            dept.City = tCity.Text.Trim();
            dept.Country = tCountry.Text.Trim();
            retcode = true;

            Close();


        }
        private void bnEsc_Click(object sender,
               RoutedEventArgs e) {
            Close();
        }

    }
}
