﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Company_Vorlesung.MyMessageBox {
    /// <summary>
    /// Interaction logic for WMessageYesNoBoxEditor.xaml
    /// </summary>
    public partial class WMessageYesNoBoxEditor : Window {

        private String dbtable = "MessageYesNoBoxEditor";

        private bool retcodeYes = false;


        public bool RetcodeYes {
            get { return retcodeYes; }
        }



        public String Input {
            get { return tInput.Text.Trim(); }
        }

        public WMessageYesNoBoxEditor(Window owner, String labelTitel, String label, String text) {
            InitializeComponent();

            Basis.setWindowPositionFromRegistryWidthHeight(this, InstallRegistry.C_REG_ADR + "\\position", "dialog" + dbtable);
            this.Owner = owner;  // Important, because CenterOwner           
            this.WindowStartupLocation = WindowStartupLocation.CenterOwner;
            Title = labelTitel;
            this.labelTitel.Content = label;
            tInput.Text = text;
        }

        private void Window_Loaded(object sender, RoutedEventArgs e) {
            tInput.Focus();
        }

        private void bnYes_Click(object sender, RoutedEventArgs e) {
            retcodeYes = true;
            Close();
        }

        private void bnNo_Click(object sender, RoutedEventArgs e) {
            retcodeYes = false;
            Close();
        }

        private void Window_Closing(object sender, System.ComponentModel.CancelEventArgs e) {
            e.Cancel = false;
            Basis.writeWindowPosition2Registry(this, InstallRegistry.C_REG_ADR + "\\position", "dialog" + dbtable);
        }
    }
}
