﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Company_Vorlesung {
    /// <summary>
    /// Interaction logic for WUpdateReadYesNo.xaml
    /// </summary>
    public partial class WUpdateReadYesNo : Window {

        private String dbtable = "UpdateReadYesNo";

        public bool retcode = false;

        String alteVersion = "";
        String neueVersion = "";

        public WUpdateReadYesNo(Window owner, String alteVersion, String neueVersion) {
            InitializeComponent();
            this.Owner = owner;  // Important, because CenterOwner           
            this.WindowStartupLocation = WindowStartupLocation.CenterOwner;
            this.Topmost = true;
            this.alteVersion = alteVersion;
            this.neueVersion = neueVersion;
        }

        private void Window_Loaded(object sender, RoutedEventArgs e) {
            labelAktuelleVersion2.Content = alteVersion;
            labelNeueVersion2.Content = neueVersion;
            Basis.setWindowPositionFromRegistry(this, InstallRegistry.C_REG_ADR + "\\position", "table" + dbtable);
        }


        private void bnYes_Click(object sender, RoutedEventArgs e) {
            retcode = true;
            Close();
        }

        private void bnNo_Click(object sender, RoutedEventArgs e) {
            Close();
        }

        private void Window_Closing(Object sender, System.ComponentModel.CancelEventArgs e) {
            e.Cancel = false;
            Basis.writeWindowPosition2Registry(this, InstallRegistry.C_REG_ADR + "\\position", "table" + dbtable);
        }
    }
}
