﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

// neu: die Klasse verwaltet die ProgrammInterna
// es hat einen statischen Konstruktor !


namespace Company {
    public class Companyregistry {
        private static String databasePath;

        // Adresse der Firma in der Registry
        public static string C_REG_ADR = "SOFTWARE\\ABC\\DB_Company";

        public static string C_REG_PRJNAME = "DB_Company";

        public static void setDatabasePath(string path) {
            if (!path.EndsWith("\\"))
                databasePath = path + "\\";
            else
                databasePath = path;
        }

        private static int headerFont = 16;
        public static int HeaderFont {
            set {
                if (value > 0) {
                    headerFont = value;
                    Basis.WriteRegInt(Companyregistry.C_REG_ADR, "headerfontsize", headerFont);
                }
            }
            get { return headerFont; }
        }

        private static int normalFont = 14;
        public static int NormalFont {
            set {
                if (value > 0) {
                    normalFont = value;
                    Basis.WriteRegInt(Companyregistry.C_REG_ADR, "normalfontsize", normalFont);
                }
            }
            get { return normalFont; }
        }

        static Companyregistry() {

            int size = Basis.ReadRegInt(Companyregistry.C_REG_ADR, "headerfontsize");
            if (size > 0) {
                headerFont = size;
            }
            size = Basis.ReadRegInt(Companyregistry.C_REG_ADR, "normalfontsize");
            if (size > 0) {
                normalFont = size;
            }
        }
    }
}
