﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;



using System.Data.OleDb;
using System.IO;
using System.Data;
using Company.ViewModels;
using Company.Models;
using System.Collections.ObjectModel;

// Referenz
// Register    COM  Tpye Library, suchen ADO   2,8 oder 6.0


namespace Company.DBS_Klassen {
    public class AccessDB {
        // ' NOTE: to use ADOX add reference to "COM Microsoft ADO Ext. 2.8 for DDL and Security"!
        // Register    COM  Tpye Library, suchen ADO
        public static void createAccessDatei(String filename) {
            if (File.Exists(filename)) {
                File.Delete(filename);
            }
            ADOX.Catalog cat = new ADOX.Catalog();
            // ="Provider=Microsoft.Jet.OLEDB.4.0;Data Source=c:\folder;Extended Properties=dBASE IV;User ID=Admin;Password=;"
            cat.Create("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + filename);
            cat = null;
        }

        public static void insertAccessTables(String filename, String sqlFilename) {
            // Access 2010 :  Provider=Microsoft.ACE.OLEDB.12.0
            OleDbConnection con = new OleDbConnection(@"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + filename);
            con.Open();

            String[] sql_commands;
            String sSQL = File.ReadAllText(sqlFilename);  // 
            sql_commands = sSQL.Split(new Char[] { ';' });
            //OleDbDataAdapter da;
            OleDbCommand CmdSql;
            foreach (String sql in sql_commands) {
                if (sql.Trim().Length > 0) {
                    CmdSql = new OleDbCommand(sql, con);
                    // CmdSql = new OleDbCommand();
                    // CmdSql.CommandType = CommandType.Text;
                    // CmdSql.CommandText = @sql;
                    // CmdSql.Connection = con;
                    CmdSql.ExecuteNonQuery();
                }
            }
            con.Close();
        }


        public static void exportDepts(String filename) {

            // Access 2010 :  Provider=Microsoft.ACE.OLEDB.12.0
            OleDbConnection con = new OleDbConnection(@"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + filename);
            con.Open();

            String sql;
            OleDbCommand CmdSql;

            List<ModelDept> dept_items = Dbs_QueriesExecute.getItemsFromDept().Items;
            foreach (ModelDept dept in dept_items) {
                sql = Dbs_QueriesExecute.getinsertDept2AccessSQL(dept);
                CmdSql = new OleDbCommand(sql, con);
                CmdSql.ExecuteNonQuery();
            }

            con.Close();
        }  // exportDepts

        public static void exportEmployee(String filename) {

            // Access 2010 :  Provider=Microsoft.ACE.OLEDB.12.0
            OleDbConnection con = new OleDbConnection(@"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + filename);
            con.Open();

            String sql;
            OleDbCommand CmdSql;


            List<ModelEmployee> empl_items = Dbs_QueriesExecute.getItemsFromEmployees(false).Items;
            foreach (ModelEmployee empl in empl_items) {
                sql = Dbs_QueriesExecute.getinsertEmployee2AccessSQL(empl);
                CmdSql = new OleDbCommand(sql, con);
                CmdSql.ExecuteNonQuery();
            }

            con.Close();
        }  // exportEmployee



    }
}