﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.Windows.Data;
using System.Windows.Media;
using Company.Models;


namespace Company.Datagrid {
    public class FgSalaryEmployee : IValueConverter {


        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture) {
            Object obj = value;
            if (parameter != null) {
                Type t = parameter.GetType();
                Basis.Message(t.ToString(), "");
            }
            if (value is ModelEmployee) {
                ModelEmployee empl = (ModelEmployee)value;
                if (empl.Monthlysalary <1000.0m) 
                    return new SolidColorBrush(Color.FromArgb(255, 255, 0, 0));
                else if (empl.Monthlysalary < 2000.0m)
                    return new SolidColorBrush(Color.FromArgb(255, 255, 127, 0));
                else if (empl.Monthlysalary < 3000.0m)
                    return new SolidColorBrush(Color.FromArgb(255, 0, 0, 0));
                else if (empl.Monthlysalary < 4000.0m)
                    return new SolidColorBrush(Color.FromArgb(255, 50, 255, 0));
                else
                    return new SolidColorBrush(Color.FromArgb(255, 0, 255, 0));
            }
            return Brushes.White;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture) {
            throw new NotImplementedException();
        }

    }
}
