﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.ComponentModel;

namespace Company.Models {
    public abstract class ModelBase: IComparable, INotifyPropertyChanged {

        public abstract int CompareTo(object obj);

        public bool modifyAttrib = false;
        public bool newAttrib = false;

        // Neu
        public bool isChecked = true;  // fuer Filter
        public bool isVisible = true;  // fuer Filter


        public void NotifyPropertyChanged(String name) {
            if (PropertyChanged!=null) {
                PropertyChanged(this, new PropertyChangedEventArgs(name));
                modifyAttrib = true;
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;
    }
}
