﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.Windows.Input;

namespace Company {
    public class MyCommands {



        static MyCommands() {
            NewDBFile = new RoutedUICommand("Neue Datenbank", "newDatabase", typeof(MyCommands));
            NewDBFile.InputGestures.Add(new KeyGesture(Key.N, ModifierKeys.Control));

            OpenDBFile = new RoutedUICommand("Öffnen einer Datenbank", "openDatabase", typeof(MyCommands));
            OpenDBFile.InputGestures.Add(new KeyGesture(Key.O, ModifierKeys.Control));

            Close = new RoutedUICommand("Schließen", "close", typeof(MyCommands));
            Openlastdatabasefile = new RoutedUICommand("Öffnen der letzten Datenbank", "lastdatabasefile", typeof(MyCommands));

            Employee1 = new RoutedUICommand("Mitarbeiter", "mitarbeiter", typeof(MyCommands));
            Employee2 = new RoutedUICommand("Mitarbeiter mit Listview", "employee2", typeof(MyCommands));
            Employee3 = new RoutedUICommand("Mitarbeiter mit Datagrid,edit", "employee3", typeof(MyCommands));
            MasterDetails = new RoutedUICommand("Masterdetails", "masterdetails", typeof(MyCommands));

            Department1 = new RoutedUICommand("Niederlassung (1)", "department1", typeof(MyCommands));
            Department2 = new RoutedUICommand("Niederlassung (2)", "department2", typeof(MyCommands));

            TreeDepartment1 = new RoutedUICommand("Niederlassung Baum (1)", "treeDepartment1", typeof(MyCommands));
            TreeDepartment2 = new RoutedUICommand("Niederlassung Baum (2)", "treeDepartment2", typeof(MyCommands));
            TreeDepartment3 = new RoutedUICommand("Niederlassung Baum (3)", "treeDepartment3", typeof(MyCommands));
            TreeDepartment4 = new RoutedUICommand("Niederlassung Baum (4)", "treeDepartment4", typeof(MyCommands));

            Analyse = new RoutedUICommand("Analyse", "Analyse", typeof(MyCommands));
            ExportXMLJSon = new RoutedUICommand("ExportXMLJSon", "ExportXMLJSon", typeof(MyCommands));
            ImportXML = new RoutedUICommand("ImportXML", "ImportXML", typeof(MyCommands));
            ImportAscii = new RoutedUICommand("ImportAscii", "ImportAscii", typeof(MyCommands));

            

            // Access = new RoutedUICommand("Access", "access", typeof(MyCommands));

            DBS_Console = new RoutedUICommand("Datenbank Konsole", "DBS_Console", typeof(MyCommands));
            Options = new RoutedUICommand("Einstellungen", "Options", typeof(MyCommands));
        }

        public static RoutedUICommand OpenDBFile {
            get;set;
        }
        public static RoutedUICommand NewDBFile {
            get; set;
        }

        public static RoutedUICommand Close {
            get; set;
        }
        
        public static RoutedUICommand Openlastdatabasefile {
            get; set;
        }

        public static RoutedUICommand Employee1 {
            get; set;
        }
        public static RoutedUICommand Employee2 {
            get; set;
        }
        public static RoutedUICommand Employee3 {
            get; set;
        }
        public static RoutedUICommand MasterDetails {
            get; set;
        }

        public static RoutedUICommand Department1 {
            get; set;
        }
        public static RoutedUICommand Department2 {
            get; set;
        }

        public static RoutedUICommand TreeDepartment1 {
            get; set;
        }
        public static RoutedUICommand TreeDepartment2 {
            get; set;
        }
        public static RoutedUICommand TreeDepartment3 {
            get; set;
        }
        public static RoutedUICommand TreeDepartment4 {
            get; set;
        }

        public static RoutedUICommand Analyse {
            get; set;
        }
        public static RoutedUICommand ExportXMLJSon {
            get; set;
        }

        public static RoutedUICommand ImportAscii {
            get; set;
        }
        public static RoutedUICommand ImportXML {
            get; set;
        }


        


        public static RoutedUICommand DBS_Console {
            get; set;
        }
        public static RoutedUICommand Options {
            get; set;
        }
    }
}
