﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Company.Models;
using Company.DBS_Klassen;

namespace Company.ViewModels {
    public class ObservableCollection_Employee {

        private List<ModelEmployee> items = new List<ModelEmployee>();
        private List<ModelEmployee> deleteItems = new List<ModelEmployee>();

        public int getDeleteItemsCount() {
            return deleteItems.Count;
        }


        public List<ModelEmployee> Items {
            get { return items; }
        }


        public void Delete(ModelEmployee employee) {
            items.Remove(employee);
            deleteItems.Add(employee);
        }

        public void save2Database() {
            Dbs dbs = Dbs.getInstance();
            foreach (ModelEmployee empl in deleteItems) {
                Dbs_QueriesExecute.deleteModelEmployee(empl);
            }
            foreach (ModelEmployee empl in items) {
                // neue Niederl. können auch modifiziert sein.
                if (empl.newAttrib) {
                    empl.Pindex = Dbs.getSequenz("seq");
                    Dbs_QueriesExecute.insertModelEmployee(empl);
                }
                else {
                    if (empl.modifyAttrib) {
                        Dbs_QueriesExecute.updateModelEmployee(empl);
                    }
                }
            }
        }

    }
}
